demo/ build failed : ERROR: Feature 'openssl' was enabled, but [...]

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

demo/ build failed : ERROR: Feature 'openssl' was enabled, but [...]

suizokukan

Hi,
I'm still trying to build the demo/ app on a freshed install, up-to-date Ubuntu:

$ uname -a
>>> Linux sui 4.15.0-39-generic #42-Ubuntu SMP Tue Oct 23 15:48:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

I'm using the lastest snapshot, namely:
$ sudo -H pip3 install https://www.riverbankcomputing.com/static/Downloads/pyqtdeploy/pyqtdeploy-2.3.1.dev1811241346.tar.gz

I launched the build with:
$ python3 build-demo.py --verbose --source-dir=[...skipped...]

And that's the console output I got (full log at https://gist.github.com/suizokukan/8362c40153981bd9828580f710913bc6, config.log at https://gist.github.com/suizokukan/764629c620807b711b413e690f26c286):

>>> ERROR: Feature 'openssl' was enabled, but the pre-condition '!features.securetransport && (features.openssl-linked || libs.openssl_headers)' failed.

>>> ERROR: Feature 'ssl' was enabled, but the pre-condition 'config.winrt || features.securetransport || features.openssl' failed.
>>>
>>> ERROR: Feature 'xcb' was enabled, but the pre-condition 'libs.xcb' failed.
>>>
>>> ERROR: Feature 'opengl-desktop' was enabled, but the pre-condition '(config.win32 && !config.winrt && !features.opengles2 && (config.msvc || libs.opengl))
                          || (!config.watchos && !config.win32 && libs.opengl)' failed.
>>>
>>> ERROR: The OpenGL functionality tests failed!
>>> You might need to modify the include and library search paths by editing QMAKE_INCDIR_OPENGL[_ES2],
>>> QMAKE_LIBDIR_OPENGL[_ES2] and QMAKE_LIBS_OPENGL[_ES2] in the mkspec for your platform.
>>>
>>> Check config.log for details.
>>> pyqtdeploy-sysroot: Execution failed: returned exit code 3

There are several errors but I can't go further. Any idea to help me ?

Thanks !
Xavier Faure (suizokukan)


_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt
Reply | Threaded
Open this post in threaded view
|

Re: demo/ build failed : ERROR: Feature 'openssl' was enabled, but [...]

Phil Thompson-5
On 27 Nov 2018, at 12:41 pm, suizokukan <[hidden email]> wrote:

>
> Hi,
> I'm still trying to build the demo/ app on a freshed install, up-to-date Ubuntu:
>
> $ uname -a
> >>> Linux sui 4.15.0-39-generic #42-Ubuntu SMP Tue Oct 23 15:48:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
>
> I'm using the lastest snapshot, namely:
> $ sudo -H pip3 install https://www.riverbankcomputing.com/static/Downloads/pyqtdeploy/pyqtdeploy-2.3.1.dev1811241346.tar.gz
>
> I launched the build with:
> $ python3 build-demo.py --verbose --source-dir=[...skipped...]
>
> And that's the console output I got (full log at https://gist.github.com/suizokukan/8362c40153981bd9828580f710913bc6, config.log at https://gist.github.com/suizokukan/764629c620807b711b413e690f26c286):
>
> >>> ERROR: Feature 'openssl' was enabled, but the pre-condition '!features.securetransport && (features.openssl-linked || libs.openssl_headers)' failed.
>
> >>> ERROR: Feature 'ssl' was enabled, but the pre-condition 'config.winrt || features.securetransport || features.openssl' failed.
> >>>
> >>> ERROR: Feature 'xcb' was enabled, but the pre-condition 'libs.xcb' failed.
> >>>
> >>> ERROR: Feature 'opengl-desktop' was enabled, but the pre-condition '(config.win32 && !config.winrt && !features.opengles2 && (config.msvc || libs.opengl))
>                           || (!config.watchos && !config.win32 && libs.opengl)' failed.
> >>>
> >>> ERROR: The OpenGL functionality tests failed!
> >>> You might need to modify the include and library search paths by editing QMAKE_INCDIR_OPENGL[_ES2],
> >>> QMAKE_LIBDIR_OPENGL[_ES2] and QMAKE_LIBS_OPENGL[_ES2] in the mkspec for your platform.
> >>>
> >>> Check config.log for details.
> >>> pyqtdeploy-sysroot: Execution failed: returned exit code 3
>
> There are several errors but I can't go further. Any idea to help me ?

Looks like you haven't got the OpenSSL and xcb development packages installed.

Phil
_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt
Reply | Threaded
Open this post in threaded view
|

Re: demo/ build failed : ERROR: Feature 'openssl' was enabled, but [...]

suizokukan
In reply to this post by suizokukan

Thanks ! You were right, of course. I finally succeeded in getting the (linux 64) build I expected. I sum up every step in a gist (https://gist.github.com/suizokukan/8abb8437561048c63080575b54dce70a) for anyone trying to get the same result.

 

> Message du 27/11/18 16:38

> De : "Phil Thompson" <phil@...>
> A : "suizokukan" <suizokukan@...>
> Copie à : pyqt@...
> Objet : Re: [PyQt] demo/ build failed : ERROR: Feature 'openssl' was enabled, but [...]
>
> On 27 Nov 2018, at 12:41 pm, suizokukan <suizokukan@...> wrote:
> >
> > Hi,
> > I'm still trying to build the demo/ app on a freshed install, up-to-date Ubuntu:
> >
> > $ uname -a
> > >>> Linux sui 4.15.0-39-generic #42-Ubuntu SMP Tue Oct 23 15:48:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
> >
> > I'm using the lastest snapshot, namely:
> > $ sudo -H pip3 install https://www.riverbankcomputing.com/static/Downloads/pyqtdeploy/pyqtdeploy-2.3.1.dev1811241346.tar.gz
> >
> > I launched the build with:
> > $ python3 build-demo.py --verbose --source-dir=[...skipped...]
> >
> > And that's the console output I got (full log at https://gist.github.com/suizokukan/8362c40153981bd9828580f710913bc6, config.log at https://gist.github.com/suizokukan/764629c620807b711b413e690f26c286):
> >
> > >>> ERROR: Feature 'openssl' was enabled, but the pre-condition '!features.securetransport && (features.openssl-linked || libs.openssl_headers)' failed.
> >
> > >>> ERROR: Feature 'ssl' was enabled, but the pre-condition 'config.winrt || features.securetransport || features.openssl' failed.
> > >>>
> > >>> ERROR: Feature 'xcb' was enabled, but the pre-condition 'libs.xcb' failed.
> > >>>
> > >>> ERROR: Feature 'opengl-desktop' was enabled, but the pre-condition '(config.win32 && !config.winrt && !features.opengles2 && (config.msvc || libs.opengl))
> > || (!config.watchos && !config.win32 && libs.opengl)' failed.
> > >>>
> > >>> ERROR: The OpenGL functionality tests failed!
> > >>> You might need to modify the include and library search paths by editing QMAKE_INCDIR_OPENGL[_ES2],
> > >>> QMAKE_LIBDIR_OPENGL[_ES2] and QMAKE_LIBS_OPENGL[_ES2] in the mkspec for your platform.
> > >>>
> > >>> Check config.log for details.
> > >>> pyqtdeploy-sysroot: Execution failed: returned exit code 3
> >
> > There are several errors but I can't go further. Any idea to help me ?
>
> Looks like you haven't got the OpenSSL and xcb development packages installed.
>
> Phil
_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt